AnsweredAssumed Answered

Cannot run Alfresco 5.0.d community version

Question asked by lettuce16 on Sep 3, 2015
Latest reply on Sep 4, 2015 by lettuce16
Hi,

I have downloaded the newest community version of the Alfresco - 5.0.d and installed it.
I wasn't able to start Tomcat so I wanted to install it from the instructions listed on the following page: https://wiki.alfresco.com/wiki/Updated_information_on_building_and_running_Alfresco,
however when I run mvn install I get the following error:
"Caused by: org.apache.maven.project.DependencyResolutionException: Could not resolve dependencies for project org.alfresco:share-po:jar:5.1-SNAPSHOT: Failure to find org.alfresco.services.sync:service-synchronization-api:jar:1.0-SNAPSHOT in https://artifacts.alfresco.com/nexus/content/repositories/public-snapshots/ was cached in the local repository, resolution will not be reattempted until the update interval of alfresco-public-snapshots has elapsed or updates are forced
        at org.apache.maven.project.DefaultProjectDependenciesResolver.resolve(DefaultProjectDependenciesResolver.java:198)
        at org.apache.maven.lifecycle.internal.LifecycleDependencyResolver.getDependencies(LifecycleDependencyResolver.java:195)
        … 22 more"
so as far as I can see the problem is with the repository https://artifacts.alfresco.com/nexus/content/repositories/public-snapshots/ and the following jar: org.alfresco.services.sync:service-synchronization-api:jar:1.0-SNAPSHOT.
I think that there might be some other issues with the other libraries in the further steps.
How can I reslove it?

I think that I found the solution - https://blogs.alfresco.com/wp/developer/2015/03/31/release-agility-community-update-i-share-source-location-changes/ - https://svn.alfresco.com/repos/alfresco-open-mirror/web-apps/Share/trunk/

Outcomes